--- !ditz.rubyforge.org,2008-03-06/issue 
title: blank message-id headers are treated as valid and crash indexing
desc: |-
  specifically, they trigger the "just added message to index" debug exception
  because the id consists of nothing but spaces.
  
  header parsing needs to be fixed to not grab headers that are empty.
type: :bugfix
component: mbox
release: "0.6"
reporter: William Morgan <wmorgan-sup@masanjin.net>
status: :closed
disposition: :fixed
creation_time: 2008-04-26 21:07:33.463910 Z
references: []

id: d131464e921aefc35571c119aac4d9f1decdebae
log_events: 
- - 2008-04-26 21:07:34.221325 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - created
  - ""
- - 2008-04-26 21:41:55.731750 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - changed status from unstarted to in_progress
  - branch header-parsing-fix. merged into next.
- - 2008-05-25 04:19:15.986573 Z
  - William Morgan <wmorgan-sup@masanjin.net>
  - closed issue with disposition fixed
  - merged into master
